<?php

class Stats extends CI_Model {

	function __construct(){
		parent::__construct();
		$this->load->library('user_agent');
	}

	function statsTeacher() {
		if($this->agent->is_browser()) {
			$agent['browser'] = $this->agent->browser();
			$agent['version'] = $this->agent->version();
		}
		elseif ($this->agent->is_mobile()) {
			$agent['mobile'] = $this->agent->mobile();
		}
		else {
			$agent['error_plattform'] = 'Oidentifierad plattform';
		}

			$agent['platform'] = $this->agent->platform();
		
		//-------------------------------------------------------
		
		//retrive the number of courses in the system
		$this->db->select('COUNT(*)');
		$this->db->from('Courses');
		
		//exececute query
		$query = $this->db->get();
		$agent['numberOfCourses'] = $query->result();

		//-------------------------------------------------------

		//retrive the number of examples in the system
		$this->db->select('COUNT(*)');
		$this->db->from('Examples');
		
		//exececute query
		$query = $this->db->get();
		$agent['numberOfExamples'] = $query->result();

		//-------------------------------------------------------
/*
		//retrive the number of examples in the active course
		$this->db->select('COUNT(*)');
		$this->db->from('Examples');
		$this->db->where('courseID', $activeCourse);
		
		//exececute query
		$query = $this->db->get();
		$agent['numberOfExamplesInCourse'] = $query->result();
*/
		//-------------------------------------------------------

		//retrive the number of quizzes in the system
		$this->db->select('COUNT(*)');
		$this->db->from('Quizzes');
		
		//exececute query
		$query = $this->db->get();
		$agent['numberOfQuizzes'] = $query->result();
		
		//-------------------------------------------------------
/*
		//retrive the number of quizzes in the active course
		$this->db->select('COUNT(*)');
		$this->db->from('Quizzes');
		$this->db->where('courseID', $activeCourse);
		
		//exececute query
		$query = $this->db->get();
		$agent['numberOfQuizzesInCourse'] = $query->result();
*/		
		return $agent;
	}

	function statsStudent() {
		if($this->agent->is_browser()) {
			$agent['browser'] = $this->agent->browser();
			$agent['version'] = $this->agent->version();
		}
		elseif ($this->agent->is_mobile()) {
			$agent['mobile'] = $this->agent->mobile();
		}
		else {
			$agent = 'Oidentifierad plattform';
		}

		//retrive the number of examples in the active course
		$this->db->select('COUNT(*)');
		$this->db->from('Examples');
		$this->db->where('courseID', $activeCourse);
		
		//exececute query
		$query = $this->db->get();
		$agent['numberOfExamplesInCourse'] = $query->result();

		//-------------------------------------------------------

		//retrive the number of quizzes in the active course
		$this->db->select('COUNT(*)');
		$this->db->from('Quizzes');
		$this->db->where('courseID', $activeCourse);
		
		//exececute query
		$query = $this->db->get();
		$agent['numberOfQuizzesInCourse'] = $query->result();

		return $agent;
	}
}
